The BOM Website Item object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string
parent_type string
item_code string
item_name string
description string
qty number
website_image string
The BOM Website Item object
{
  "id": "b-o-m-website-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "qty": 0,
  "website_image": "website_image_example"
}
GET /api/manufacturing/b-o-m-website-item?parent_id={id}

List bom website items by parent

Returns all bom website items belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of bom website item objects belonging to the parent.

GET /api/manufacturing/b-o-m-website-item?parent_id={id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-item?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "b-o-m-website-item_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "item_code": "item_code_example",
      "item_name": "item_name_example",
      "description": "description_example",
      "qty": 0,
      "website_image": "website_image_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/b-o-m-website-item

Create a bom website item

Creates a new bom website item object.

Body parameters

idx integer
parent_id string
parent_type string
item_code string
item_name string
description string
qty number
website_image string

Returns

Returns the newly created bom website item object if the call succeeded.

POST /api/manufacturing/b-o-m-website-item
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "b-o-m-website-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "qty": 0,
  "website_image": "website_image_example"
}
PATCH /api/manufacturing/b-o-m-website-item/{id}

Update a bom website item

Updates the specified bom website item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bom website item to update.

Body parameters

idx integer
parent_id string
parent_type string
item_code string
item_name string
description string
qty number
website_image string

Returns

Returns the updated bom website item object.

PATCH /api/manufacturing/b-o-m-website-item/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-item/b-o-m-website-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "b-o-m-website-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "qty": 0,
  "website_image": "website_image_example"
}
DELETE /api/manufacturing/b-o-m-website-item/{id}

Delete a bom website item

Permanently deletes a bom website item. This cannot be undone.

Path parameters

id string required

The identifier of the bom website item to delete.

Returns

Returns a confirmation that the bom website item has been deleted.

DELETE /api/manufacturing/b-o-m-website-item/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-item/b-o-m-website-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "b-o-m-website-item_abc123",
  "deleted": true
}
POST /api/manufacturing/b-o-m-website-item/reorder

Reorder bom website items

Updates the sort order of bom website items within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/manufacturing/b-o-m-website-item/reorder
curl https://api.overplane.dev/api/manufacturing/b-o-m-website-item/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "b-o-m-website-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "qty": 0,
  "website_image": "website_image_example"
}